Bug 189891 - Review Request: liblo - Open Sound Control library
Review Request: liblo - Open Sound Control library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-25 11:31 EDT by Anthony Green
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-14 17:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2006-04-25 11:31:49 EDT
Spec URL: http://people.redhat.com/green/FE/FC5/liblo.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/liblo-0.23-3.src.rpm
Description: 
liblo is an implementation of the Open Sound Control protocol for
POSIX systems developed by Steve Harris.

Adapted from an old ccrma spec file.
Comment 1 Jochen Schmitt 2006-04-25 12:35:49 EDT
God:
+ Local build works fine.
+ Source in the rpm are the same as upstream.
+ Build on mock works fine.
+ rpmlint of source rpm ok.
+ rpmlint of binaries rpms ok.
ü can start example_server and example_client without a crash


Bad:
- The BuildRoot must be cleaned at the beginning of %install
- 
Comment 2 Anthony Green 2006-04-26 10:58:06 EDT
Thanks for looking at this.

(In reply to comment #1)
> Bad:
> - The BuildRoot must be cleaned at the beginning of %install
> - 

It is, isn't it?  The spec file reads...

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install


Comment 3 Callum Lerwick 2006-04-29 04:02:54 EDT
Whats the point of macros such as %{__rm} and %{__make}? I've seen them in some
packages and have never quite understood why they exist. Fedora wiki doesn't say
anything about them that I've seen. (And the spec template doesn't use them...)

My personal preference is to avoid macros.
Comment 4 Anthony Green 2006-04-29 08:33:41 EDT
(In reply to comment #3)
> Whats the point of macros such as %{__rm} and %{__make}? 

I have no idea, and always wondered this myself.  I'm guessing at one time there
was a policy to never invoke commands directly in spec files so everything can
be overridden by redefining macros.  
Comment 5 Callum Lerwick 2006-04-29 14:16:17 EDT
If that's the case I'd definately lose them. :)
Comment 6 Anthony Green 2006-04-29 15:27:32 EDT
(In reply to comment #5)
> If that's the case I'd definately lose them. :)

Done...

Spec URL: http://people.redhat.com/green/FE/FC5/liblo.spec
SRPM URL: http://people.redhat.com/green/FE/FC5/liblo-0.23-4.src.rpm
Comment 7 Jochen Schmitt 2006-05-14 14:42:24 EDT
I'm happy to inform you, that your package is approved.
Comment 8 Anthony Green 2006-05-14 17:20:47 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.